Permalink
Browse files

Support for multiple Rails versions, starting from 3.1.x

  • Loading branch information...
1 parent 3ea3454 commit 6bee9e02c36a4e48f04b27eb52dca1cf1c3ca798 @spectator spectator committed Feb 28, 2013
Showing with 27 additions and 10 deletions.
  1. +4 −0 .travis.yml
  2. +1 −1 CHANGELOG.md
  3. +0 −6 Gemfile
  4. +6 −0 gemfiles/Gemfile-rails.3.1.x
  5. +7 −0 gemfiles/Gemfile-rails.3.2.x
  6. +6 −0 gemfiles/Gemfile-rails.4.0.x
  7. +3 −3 responders.gemspec
View
4 .travis.yml
@@ -4,6 +4,10 @@ rvm:
- ree
- jruby-18mode
- 2.0.0
+gemfile:
+ - gemfiles/Gemfile-rails.3.1.x
+ - gemfiles/Gemfile-rails.3.2.x
+ - gemfiles/Gemfile-rails.4.0.x
notifications:
recipients:
- jose.valim@plataformatec.com.br
View
2 CHANGELOG.md
@@ -1,6 +1,6 @@
## Unreleased
-* Support for Rails 4.0 onward, please use 0.9.3 version for Rails 3
+* Support for Rails 4.0 onward
## 0.9.3
View
6 Gemfile
@@ -1,9 +1,3 @@
source 'https://rubygems.org'
gemspec
-
-group :test do
- gem 'mocha'
- gem 'activemodel', '~> 4.0.0.beta1'
- gem 'ruby-debug', :platform => :mri_18
-end
View
6 gemfiles/Gemfile-rails.3.1.x
@@ -0,0 +1,6 @@
+source 'https://rubygems.org'
+
+gem 'responders', :path => '..'
+gem 'railties', '~> 3.1.0'
+gem 'mocha'
+gem 'ruby-debug', :platform => :mri_18
View
7 gemfiles/Gemfile-rails.3.2.x
@@ -0,0 +1,7 @@
+source 'https://rubygems.org'
+
+gem 'responders', :path => '..'
+# Fixed 3.2.3 because 3.2.2 is broken.
+gem 'railties', '~> 3.2.3'
+gem 'mocha'
+gem 'ruby-debug', :platform => :mri_18
View
6 gemfiles/Gemfile-rails.4.0.x
@@ -0,0 +1,6 @@
+source 'https://rubygems.org'
+
+gem 'responders', :path => '..'
+gem 'railties', '~> 4.0.0.beta1'
+gem 'activemodel', '~> 4.0.0.beta1'
+gem 'mocha'
View
6 responders.gemspec
@@ -6,10 +6,10 @@ Gem::Specification.new do |s|
s.name = "responders"
s.version = Responders::VERSION.dup
s.platform = Gem::Platform::RUBY
- s.summary = "A set of Rails 4 responders to dry up your application"
+ s.summary = "A set of Rails responders to dry up your application"
s.email = "contact@plataformatec.com.br"
s.homepage = "http://github.com/plataformatec/responders"
- s.description = "A set of Rails 4 responders to dry up your application"
+ s.description = "A set of Rails responders to dry up your application"
s.authors = ['José Valim']
s.rubyforge_project = "responders"
@@ -18,5 +18,5 @@ Gem::Specification.new do |s|
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.require_paths = ["lib"]
- s.add_dependency "railties", "~> 4.0.0.beta1"
+ s.add_dependency "railties", ">= 3.1"
end

0 comments on commit 6bee9e0

Please sign in to comment.